Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class DatabaseMetaData.TypeDescriptor

    java.lang.Object
      com.mysql.jdbc.DatabaseMetaData.TypeDescriptor

Enclosing class:
  DatabaseMetaData

     class DatabaseMetaData.TypeDescriptor

extends java.lang.Object

Parses and represents common data type information used by various column/parameter methods.

Field Summary
`(package private) int` | `bufferLength`
`(package private) int` | `charOctetLength`
`(package private) java.lang.Integer` | `columnSize`
`(package private) short` | `dataType`
`(package private) java.lang.Integer` | `decimalDigits`
`(package private) java.lang.String` | `isNullable`
`(package private) int` | `nullability`
`(package private) int` | `numPrecRadix`
`(package private) java.lang.String` | `typeName`

Constructor Summary
`DatabaseMetaData.TypeDescriptor(java.lang.String typeInfo, java.lang.String nullabilityInfo)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bufferLength

    int bufferLength

### charOctetLength

    int charOctetLength

### columnSize

    java.lang.Integer columnSize

### dataType

    short dataType

### decimalDigits

    java.lang.Integer decimalDigits

### isNullable

    java.lang.String isNullable

### nullability

    int nullability

### numPrecRadix

    int numPrecRadix

### typeName

    java.lang.String typeName

Constructor Detail

### DatabaseMetaData.TypeDescriptor

    DatabaseMetaData.TypeDescriptor(java.lang.String typeInfo,
                                    java.lang.String nullabilityInfo)
                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD